com.sun.jna.platform.win32

## Class Psapi.PSAPI_WORKING_SET_EX_INFORMATION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Psapi.PSAPI_WORKING_SET_EX_INFORMATION

- Enclosing interface:
    Psapi

      @Structure.FieldOrder(value={"VirtualAddress","VirtualAttributes"})
      public static class Psapi.PSAPI_WORKING_SET_EX_INFORMATION
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Pointer` | `VirtualAddress`
    `BaseTSD.ULONG_PTR` | `VirtualAttributes`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSAPI_WORKING_SET_EX_INFORMATION()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNode()` The NUMA node.
    `int` | `getShareCount()` The number of processes that share this page.
    `int` | `getWin32Protection()` The memory protection attributes of the page.
    `boolean` | `isBad()` If this bit is 1, the page is has been reported as bad.
    `boolean` | `isLargePage()` If this bit is 1, the page is a large page.
    `boolean` | `isLocked()` If this bit is 1, the virtual page is locked in physical memory.
    `boolean` | `isShared()` If this bit is 1, the page can be shared.
    `boolean` | `isValid()` If this bit is 1, the subsequent members are valid; otherwise they should be ignored.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VirtualAddress

          public Pointer VirtualAddress

    - #### VirtualAttributes

          public BaseTSD.ULONG_PTR VirtualAttributes

  - ### Constructor Detail

    - #### PSAPI_WORKING_SET_EX_INFORMATION

          public PSAPI_WORKING_SET_EX_INFORMATION()

  - ### Method Detail

    - #### isValid

          public boolean isValid()

      If this bit is 1, the subsequent members are valid; otherwise they should be ignored.

    - #### getShareCount

          public int getShareCount()

      The number of processes that share this page. The maximum value of this member is 7.

    - #### getWin32Protection

          public int getWin32Protection()

      The memory protection attributes of the page. For a list of values see below.
      See Also:
        Memory Protection Constants.

    - #### isShared

          public boolean isShared()

      If this bit is 1, the page can be shared.

    - #### getNode

          public int getNode()

      The NUMA node. The maximum value of this member is 63.

    - #### isLocked

          public boolean isLocked()

      If this bit is 1, the virtual page is locked in physical memory.

    - #### isLargePage

          public boolean isLargePage()

      If this bit is 1, the page is a large page.

    - #### isBad

          public boolean isBad()

      If this bit is 1, the page is has been reported as bad.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.